Skip to main content

List webhooks

GET /v2/webhooks

Request

Use this request to retrieve a list of webhooks. You can use optional query parameters to filter your results. For example, useenabled=true to return only webhooks that are currently enabled.
curl -i -X GET \
  'https://api.equalsmoney.com/v2/webhooks' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Query parameters

limit
integer
The maximum number of items to return. For example, limit=25. By default, this is set to 100.Allowable values: [ 1 .. 100000 ]
offset
integer
The number of items to skip before returning the results. For example, offset=200. By default, this is set to 0.Allowable values: A valid integer
webhookEventTypeId
string (uuid)
Optional ID of the webhook event type to filter the response with.Allowable values: ≤ 36 characters
enabled
boolean
Optional query parameter to filter the response with (whether the webhook is enabled or not).Allowable values: true, false
webhookEventTypeName
boolean
Optional name of the webhook event type to filter the response with.Allowable values: ≤ 256 characters
accountId
string
The account ID to filter the response with. This is required if you have a user-level API key.Allowable values: An existing accountId (≤ 36 characters)

Response

If your request is successful, you’ll receive a 200 response.

{
  "count": 2,
  "limit": 100,
  "offset": 0,
  "rows": [
    {
      "id": "05fba7ec-f75b-4bab-adf5-4b4575fb791c",
      "productId": "d926625b-5e11-4ec1-b4cd-0af2a8021efc",
      "accountId": "F12345",
      "webhookEventTypeId": "64b18e0e-4561-4509-ad35-ecc8d342d291",
      "url": "https://webhook.site/217ab475-3c10-4b2c-80e0-c8c2c50ba9aa",
      "enabled": true,
      "authorizationHeader": null,
      "sharedSecret": null,
      "createdAt": "2023-11-01T14:09:10.000Z",
      "updatedAt": "2023-11-01T14:09:10.000Z",
      "webhookEventTypeName": "RecipientCreated"
    },
    {
      "id": "09bbd138-6ea1-4664-806a-16d3b1b9dfbf",
      "productId": "d926625b-5e11-4ec1-b4cd-0af2a8021efc",
      "accountId": "F12345",
      "webhookEventTypeId": "25d5b682-7449-4d07-b6fc-7c9bf1239561",
      "url": "https://webhook.site/d20a8624-56df-4f14-833e-9deed69568ad",
      "enabled": true,
      "authorizationHeader": null,
      "sharedSecret": null,
      "createdAt": "2023-11-30T10:02:50.000Z",
      "updatedAt": "2023-11-30T10:02:50.000Z",
      "webhookEventTypeName": "BoxCredited"
    }
  ]
}
For more detailed information about this request and its response, see the API reference.

Retrieve a webhook

GET /v2/webhooks/{webhookId}

Request

Use this request to get details about a given webhook, based on its id.
curl -i -X GET \
  'https://api.equalsmoney.com/v2/webhooks/d7d34e0f-c6e9-4cea-8c25-baaffa81714f' \
  -H 'Authorization: ApiKey YOUR_API_KEY_HERE'

Path parameters

webhookId
string
required
The ID of the webhook that you want to retrieve.Allowable values: An existing webhookId (≤ 36 characters)

Query parameters

accountId
string
The account ID to filter the response with. This is required if you have a user-level API key.Allowable values: An existing accountId (≤ 36 characters)

Response

If your request is successful, you’ll receive a 200 response.
{
  "sharedSecret": "123e4567-e89b-12d3-a456-426614174000",
  "enabled": true,
  "accountId": "F12345",
  "webhookEventTypeId": "da91434a-4026-42ea-84b8-d0317b64af9c",
  "url": "https://api.url.com",
  "authorizationHeader": "Basic AXVubzpwQDU1dzByYM==",
  "id": "d7d34e0f-c6e9-4cea-8c25-baaffa81714f",
  "productId": "911db6db-ef58-4992-87cd-2fe2cfde05f9",
  "webhookEventTypeName": "OrderCreated",
  "createdAt": "2023-01-30T08:30:00Z",
  "updatedAt": "2023-01-30T08:30:00Z"
}
For more detailed information about this request and its response, see the API reference.